<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/colorBgWhiteGray"
    tools:context=".ui.profile.activity.EnableFingerprintActivity">

    <ImageView
        android:id="@+id/img_logo_fingerprint"
        android:layout_width="70dp"
        android:layout_height="70dp"
        android:layout_marginStart="8dp"
        android:layout_marginTop="20dp"
        android:layout_marginEnd="8dp"
        android:src="@drawable/ic_enable_fingerprint"
        android:visibility="visible"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <com.seatel.mobilehall.util.customview.CustomTextView
        android:id="@+id/txt_enable_fingerprint"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:layout_gravity="center_horizontal"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:layout_marginEnd="8dp"
        android:gravity="center"
        android:text="@string/enable_fingerprint"
        android:textColor="@color/colorPink"
        android:textSize="@dimen/default_home_text_size"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/img_logo_fingerprint"
        app:layout_goneMarginTop="@dimen/default_home_margin_top" />

    <ImageView
        android:id="@+id/imageView"
        android:layout_width="25dp"
        android:layout_height="25dp"
        android:layout_marginStart="16dp"
        android:layout_marginTop="32dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/txt_enable_fingerprint"
        app:srcCompat="@drawable/ic_warning" />

    <com.seatel.mobilehall.util.customview.CustomTextView
        android:id="@+id/txt_pay_attention"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:layout_marginStart="8dp"
        android:layout_marginEnd="8dp"
        android:gravity="start"
        android:text="@string/attention"
        android:textColor="@color/colorPink"
        android:textSize="@dimen/default_text_size"
        app:layout_constraintBottom_toBottomOf="@+id/imageView"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/imageView"
        app:layout_constraintTop_toTopOf="@+id/imageView" />

    <View
        android:id="@+id/view2"
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:layout_marginStart="18dp"
        android:layout_marginTop="16dp"
        android:layout_marginEnd="16dp"
        android:background="@color/colorPrimary"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/txt_pay_attention" />


    <ScrollView
        android:layout_width="wrap_content"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@+id/button_need_fingerprint"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/view2">

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginStart="16dp"
            android:layout_marginTop="16dp"
            android:layout_marginEnd="16dp"
            android:layout_marginBottom="8dp"
            android:text="@string/attention_description"
            android:textColor="@color/colorTextBlack"
            android:textSize="@dimen/default_text_size" />
    </ScrollView>

    <com.seatel.mobilehall.util.customview.CustomButton
        android:id="@+id/button_need_fingerprint"
        android:layout_width="match_parent"
        android:layout_height="@dimen/button_height"
        android:layout_alignParentBottom="true"
        android:layout_marginStart="20dp"
        android:layout_marginEnd="20dp"
        android:layout_marginBottom="10dp"
        android:background="@drawable/bg_button_primary"
        android:gravity="center"
        android:text="@string/need_fingerprint"
        android:textColor="@android:color/white"
        android:textSize="@dimen/default_text_size"
        app:layout_constraintBottom_toTopOf="@+id/button_no_need_fingerprint"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent" />

    <com.seatel.mobilehall.util.customview.CustomButton
        android:id="@+id/button_no_need_fingerprint"
        android:layout_width="match_parent"
        android:layout_height="@dimen/button_height"
        android:layout_alignParentBottom="true"
        android:layout_marginStart="20dp"
        android:layout_marginEnd="20dp"
        android:layout_marginBottom="20dp"
        android:background="@drawable/bg_button_cart_device"
        android:gravity="center"
        android:text="@string/no_need_fingerprint"
        android:textColor="@android:color/black"
        android:textSize="@dimen/default_text_size"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent" />


</androidx.constraintlayout.widget.ConstraintLayout>